# SHIFT6mq

## Custom ROM Setup 
> Allgemeine Übersicht

1. fastboot/adb an den Start bringen
2. Geräteverbindung checken
3. TWPR, Magisk, ROM laden
4. TWPR recovery flashen (via fastboot Menü, Tastenkombination)
5. Magisk, ROM als Zip oä drauf bekommen (ggf. via SD Card)
6. Bootmenü starten (Tastenkombination)
7. Magisk & ROM installieren (Magisk zum rooten nutzen, ggf. nachträglich)
8. have fun

## Reference Links

- https://wiki.lineageos.org/adb_fastboot_guide.html
- https://box4gsm.blogspot.com/2019/11/how-to-install-adb-and-fastboot-on-arch.html
- https://twrp.me/
- https://github.com/topjohnwu/Magisk
- https://magisk.me/
- https://doc.e.foundation/devices/axolotl/install
- https://skyhawkrecovery.github.io/Devices.html (TWPR Theme + Features)




## Steps to take

### 0. Gerät vorbereiten

Zurücksetzen und OHNE Internet Verbindung und Google Account an den Start bringen!

### 1. fastboot & adb an den Start bringen

**Manjaro Cinnamon - Arch Linux Setup**

![Video](https://www.youtube.com/watch?v=CWWf1M25jYs)

`sudo pacman -S android-tools`

**Ubuntu based Systems**

https://www.digitbin.com/install-use-adb-fastboot-linux/

### 2. Geräteverbindung aufbauen

Laut Anleitung via Tastenkombination

`Volume Down + Power` FIXME

Startet den `FASTBOOT` Download Modus (Screenshot)

Via Terminal überprüfen mit 

`fastboot devices`

(Screenshot)

> Falls Ausfall/zu lange nicht verwendet: Nochmal Tastenkombination bis das Gerät erneut in den Modus startet!

### Software bereithalten

1. [TWPR](https://eu.dl.twrp.me/santoni/)
2. [Magisk]()
3. Microg (bei eOS inkl.)
4. (optional) [SHRP](https://sourceforge.net/projects/shrp/files/Santoni/)
5. [eOS](https://doc.e.foundation/devices/axolotl)


